import Vue from 'vue'
import VueRouter from 'vue-router'

// 账号
import account from './views/account/router.js'
// 频道
import channel from './views/channel/router.js'
// 学术活动
import learn from './views/learn/router.js'
// 乐分享
import share from './views/share/router.js'
// 重修
import rebuild from './views/rebuild/router.js'

Vue.use(VueRouter)

const routes = [
  { path: '/', redirect: '/channel' },
  ...account,
  ...channel,
  ...learn,
  ...share,
  ...rebuild
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
