export default {
  // 学术活动
  1: {
    list: {
      title: '学术活动',
      emptyText: '您还没有申请过学术活动',
      buttonText: '申请新的活动',
      card: {
        fields: [
          { name: 'time', label: '活动时间' },
          { name: 'user', label: '主讲人' },
          { name: 'status', label: '审核状态' },
          { name: 'time2', label: '审核时间' },
          { name: 'beizhu', label: '备注' }
        ]
      }
    },
    create: {
      title: '申请新的学术活动',
      tips:
        '温馨提示：学生自发组织的各类校友活动，包括并不限于：论坛、讲座、沙龙、参访、拓展、游学等，接受紫荆-索菲亚金融方向工商管理硕士学位中心的监督与指导。',
      buttonText: '提交',
      form: {
        fields: [
          {
            name: 'name',
            label: '名称',
            required: true,
            placeholder: '请输入学术活动名称',
            rules: [{ required: true, message: '请输入学术活动名称' }]
          },
          {
            fieldType: 'datetime',
            name: 'time',
            label: '时间',
            required: true,
            placeholder: '请选择学术活动时间',
            rules: [{ required: true, message: '请选择学术活动时间' }]
          },
          {
            name: 'user',
            label: '主讲人',
            required: true,
            placeholder: '请输入主讲人姓名',
            rules: [{ required: true, message: '请输入主讲人姓名' }]
          },
          {
            name: 'address',
            label: '地址',
            required: true,
            placeholder: '请输入活动地址',
            rules: [{ required: true, message: '请输入活动地址' }]
          },
          {
            type: 'textarea',
            name: 'content',
            label: '内容',
            required: true,
            placeholder: '请输入学术活动内容',
            rules: [{ required: true, message: '请输入学术活动内容' }]
          }
        ]
      }
    },
    edit: {}
  },
  // 乐分享
  2: {
    list: {
      title: '乐分享',
      emptyText: '您还没有申请过乐分享',
      buttonText: '申请新的分享',
      card: {
        fields: [
          { name: 'time', label: '班级' },
          { name: 'user', label: '申请人' },
          { name: 'tel', label: '电话' },
          { name: 'status', label: '审核状态' },
          { name: 'time2', label: '审核时间' },
          { name: 'beizhu', label: '备注' }
        ]
      }
    },
    create: {
      title: '申请新的分享',
      buttonText: '提交',
      form: {
        fields: [
          {
            name: 'name',
            label: '姓名',
            required: true,
            placeholder: '请输入姓名',
            rules: [{ required: true, message: '请输入姓名' }]
          },
          {
            name: 'type',
            label: '行业',
            required: true,
            placeholder: '请输入行业',
            rules: [{ required: true, message: '请输入行业' }]
          },
          {
            name: 'age',
            label: '年龄',
            required: true,
            placeholder: '请输入年龄',
            rules: [{ required: true, message: '请输入年龄' }]
          },
          {
            name: 'level',
            label: '班级',
            required: true,
            placeholder: '请输入班级',
            rules: [{ required: true, message: '请输入班级' }]
          },
          {
            type: 'tel',
            name: 'tel',
            label: '电话',
            required: true,
            placeholder: '请输入电话',
            rules: [{ required: true, message: '请输入电话' }]
          },
          {
            type: 'textarea',
            name: 'content',
            label: '内容',
            required: true,
            placeholder: '请输入乐分享内容',
            rules: [{ required: true, message: '请输入乐分享内容' }]
          }
        ]
      }
    },
    edit: {}
  },
  // 重修
  3: {
    list: {
      title: '重修',
      emptyText: '您还没有申请过重修',
      buttonText: '申请重修',
      card: {
        fields: [
          { name: 'time', label: '班级' },
          { name: 'user', label: '挂科学期' },
          { name: 'status', label: '审核状态' },
          { name: 'time2', label: '审核时间' },
          { name: 'beizhu', label: '备注' }
        ]
      }
    },
    create: {
      title: '申请重修',
      buttonText: '提交',
      form: {
        fields: [
          {
            name: 'name',
            label: '姓名',
            required: true,
            placeholder: '请输入姓名',
            rules: [{ required: true, message: '请输入姓名' }]
          },
          {
            name: 'level',
            label: '班级',
            required: true,
            placeholder: '请输入班级',
            rules: [{ required: true, message: '请输入班级' }]
          },
          {
            name: 'level',
            label: '挂科学期',
            required: true,
            placeholder: '请选择挂科学期',
            rules: [{ required: true, message: '请选择挂科学期' }]
          },
          {
            name: 'tel',
            label: '重修课程名称',
            required: true,
            placeholder: '请选择重修课程名称',
            rules: [{ required: true, message: '请选择重修课程名称' }]
          },
          {
            fieldType: 'uploader',
            name: 'uploader',
            label: '上传缴费凭证',
            required: true,
            placeholder: '请上传缴费凭证',
            rules: [{ required: true, message: '请上传缴费凭证' }]
          }
        ]
      }
    },
    edit: {}
  }
}
